> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Order Messages

GET https://api.bigcommerce.com/stores/{store_hash}/v2/orders/{order_id}/messages

Gets the messages associated with an order.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/orders/order-messages/get-order-messages

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `order_id` (integer, required) — ID of the order.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `min_id` (integer, optional) — The minimum order ID.
- `max_id` (integer, optional) — The maximum order ID.
- `customer_id` (integer, optional) — Customer ID.
- `min_date_created` (string, optional) — Minimum date the order was created in RFC-2822 or ISO-8601. RFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400` ISO-8601: `2017-04-20T11:32:00.000-04:00`
- `max_date_created` (string, optional) — Maximum date the order was created in RFC-2822 or ISO-8601. RFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400` ISO-8601: `2017-04-20T11:32:00.000-04:00`
- `is_flagged` (boolean, optional) — Whether the message is [flagged](https://support.bigcommerce.com/s/article/Communicating-with-Customers#Messages).
- `status` (enum, optional) — Status of the order message.
  - Allowed values: `read`, `unread`
- `page` (double, optional, default: 1) — The page to return in the response.
- `limit` (double, optional, default: 50) — Number of results to return.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

A list of order messages.

- `list of OrderMessagesItems`

## Types

### OrderMessagesItems

- `id` (integer, optional)
- `order_id` (integer, optional)
- `staff_id` (integer, optional)
- `customer_id` (integer, optional)
- `type` (string, optional)
- `subject` (string, optional)
- `message` (string, optional)
- `status` (string, optional)
- `is_flagged` (boolean, optional)
- `date_created` (string, optional)
- `customer` (OrderMessagesItemsCustomer, optional)

### OrderMessagesItemsCustomer

## Examples

**Response**

```json
[
  {
    "id": 2,
    "order_id": 181,
    "staff_id": 1,
    "customer_id": 11,
    "type": "admin",
    "subject": "Re: Order #181",
    "message": "Thank you again!",
    "status": "unread",
    "is_flagged": false,
    "date_created": "Wed, 26 Sep 2018 15:52:03 +0000",
    "customer": {}
  }
]
```

**SDK Code**

```python response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/messages"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/messages';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/messages"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/messages")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/messages")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/messages', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/messages");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/messages")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```